软件安装出现的问题

为当前最终发行版之前的所有版本提供支持
回复
macosx1054
帖子: 39
注册时间: 2008-09-07 17:17
来自: shan dong qing dao
送出感谢: 0
接收感谢: 0
联系:

软件安装出现的问题

#1

帖子 macosx1054 » 2008-09-08 7:02

xue-m@xue-m-laptop:~$ sudo apt-get install acroread mozilla-acroreadacroread-plugins
[sudo] password for xue-m:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 acroread
xue-m@xue-m-laptop:~$


谁知道这是什么原因?[/img]
头像
xyf
帖子: 2032
注册时间: 2007-05-05 23:59
来自: 嘉兴
送出感谢: 0
接收感谢: 1 次

#2

帖子 xyf » 2008-09-08 8:31

acroread是什么?
你的源里没有acroread
angelus
帖子: 445
注册时间: 2007-08-27 17:31
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 angelus » 2008-09-08 8:33

使用桌面的话,用新得力搜索下是最好的,因为很多软件有有时候会改名字的
你能学会世界上所有语言来叫一种鸟的名字,当你知道所有这些名字叫法后,却对这种鸟一无所知~
理查德-费曼
macosx1054
帖子: 39
注册时间: 2008-09-07 17:17
来自: shan dong qing dao
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 macosx1054 » 2008-09-08 9:06

我很菜!我觉得是apt的问题,现在终于解决了,对,是源的问题。我在网上寻找的答案是:
增加 源

打开控制台,输入命令:
sudo gedit /etc/apt/sources.list

然后在最后添加以下源:
deb http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ edgy main restricted universe multiverse

保存,退出,再执行:
sudo apt-get update

这样以后系统的自动升级好像也是打开的,然后进行发行版升级,之后就OK了。
头像
nsnl
帖子: 450
注册时间: 2006-11-18 18:52
送出感谢: 0
接收感谢: 0

#5

帖子 nsnl » 2008-09-08 9:09

edgy,gutsy......
头像
xyf
帖子: 2032
注册时间: 2007-05-05 23:59
来自: 嘉兴
送出感谢: 0
接收感谢: 1 次

#6

帖子 xyf » 2008-09-08 9:53

macosx1054 写了:我很菜!我觉得是apt的问题,现在终于解决了,对,是源的问题。我在网上寻找的答案是:
增加 源

打开控制台,输入命令:
sudo gedit /etc/apt/sources.list

然后在最后添加以下源:
deb http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ edgy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ edgy main restricted universe multiverse

保存,退出,再执行:
sudo apt-get update

这样以后系统的自动升级好像也是打开的,然后进行发行版升级,之后就OK了。
混源很危险
macosx1054
帖子: 39
注册时间: 2008-09-07 17:17
来自: shan dong qing dao
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 macosx1054 » 2008-09-08 10:19

nsnl 写了:edgy,gutsy......
这个很危险吗?
macosx1054
帖子: 39
注册时间: 2008-09-07 17:17
来自: shan dong qing dao
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 macosx1054 » 2008-09-08 10:20

你们说我添加的那些源行吗?都是一个网站吧。。。
回复

回到 “老旧版本支持”